@echo off

echo ※このプログラムは「右クリック ^> 管理者として実行...」で起動する必要があります。

if exist "%ProgramFiles%\iTunes\iTunes.exe" (
  echo iTunes COM サーバの再登録を実施しています。
  "%ProgramFiles%\iTunes\iTunes.exe" /RegServer
  goto repaired
)

if exist "%ProgramFiles(x86)%\iTunes\iTunes.exe" (
  echo iTunes COM サーバ ^(x86^) の再登録を実施しています。
  "%ProgramFiles(x86)%\iTunes\iTunes.exe" /RegServer
  goto repaired
)

:not_found
echo iTunes のインストール先が検出できませんでした。
echo iTunes を一度アンインストールしてから再度インストールしてください。
pause

:repaired
pause
goto :eof
